Package org.eclipse.mat.parser.index

# Interface IIndexReader.IOne2SizeIndex

All Superinterfaces:
  `IIndexReader`, `IIndexReader.IOne2OneIndex`

All Known Implementing Classes:
  `IndexReader.SizeIndexReader`

Enclosing interface:
  IIndexReader

public static interface IIndexReader.IOne2SizeIndex extends IIndexReader.IOne2OneIndex
Index from object id to size, stored compressed as an int.

Since:
  1.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

## Method Summary

Modifier and Type
Method
Description
`long`
`getSize(int index)`
Look up the size of an object

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader

`close, delete, size, unload`

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader.IOne2OneIndex

`get, getAll, getNext`

## Method Details

### getSize

long getSize(int index)
Look up the size of an object

Parameters:
  `index` - the object ID
Returns:
  size in bytes